Share my calendar with a colleague (tenant:access)
PUT /api/hr/v1/calendar/shares/{employeeId}
Module: HR · operationId: shareCalendar · Tag: Work entries · Auth: access token (Authorization: Bearer <accessToken>)
Idempotent: sharing again changes nothing. Sharing with oneself is 400, a person who is not an employee of the
tenant 404; without an employee record 403 no_employee.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
employeeId |
path | string (uuid) | yes | The colleague |
Responses
- 204 Shared
- 400 Error (
application/json) - 403 Error (
application/json) - 404 Error (
application/json)
Example request
curl -X PUT 'https://api.mbcom.cloud/api/hr/v1/calendar/shares/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
-H "Authorization: Bearer $ACCESS_TOKEN"